<?php

// namespace Botble\TifrTeamMaster\Forms;

// use Botble\Base\Forms\FieldOptions\NameFieldOption;
// use Botble\Base\Forms\FieldOptions\StatusFieldOption;
// use Botble\Base\Forms\Fields\SelectField;
// use Botble\Base\Forms\Fields\TextField;
// use Botble\Base\Forms\FormAbstract;
// use Botble\TifrTeamMaster\Http\Requests\TifrTeamMasterRequest;
// use Botble\TifrTeamMaster\Models\TifrTeamMaster;

// class TifrTeamMasterForm extends FormAbstract
// {
//     public function setup(): void
//     {
//         $this
//             ->model(TifrTeamMaster::class)
//             ->setValidatorClass(TifrTeamMasterRequest::class)
//             ->add('name', TextField::class, NameFieldOption::make()->required())
//             ->add('status', SelectField::class, StatusFieldOption::make())
//             ->setBreakFieldPoint('status');
//     }
// }



// namespace Botble\TifrTeamMaster\Forms;

// use Botble\Base\Forms\FieldOptions\NameFieldOption;
// use Botble\Base\Forms\FieldOptions\StatusFieldOption;
// use Botble\Base\Forms\Fields\SelectField;
// use Botble\Base\Forms\Fields\TextField;
// use Botble\Base\Forms\FormAbstract;
// use Botble\TifrTeamMaster\Http\Requests\TifrTeamMasterRequest;
// use Botble\TifrTeamMaster\Models\TifrTeamMaster;
// use Botble\TifrTeamMaster\Models\TifrTeamCategory;

// class TifrTeamMasterForm extends FormAbstract
// {
//     public function setup(): void
//     {
//         // Fetch Main Categories: get all categories where parent_category_id is 0
//         $mainCategories = TifrTeamCategory::where('parent_category_id', 0)
//             ->pluck('name', 'id')
//             ->toArray();

//         // Make sure mainCategories is not empty, otherwise provide a placeholder message
//         if (empty($mainCategories)) {
//             $mainCategories = ['' => 'No categories available'];
//         }

//         // Initialize the form
//         $this
//             ->model(TifrTeamMaster::class)
//             ->setValidatorClass(TifrTeamMasterRequest::class)
//             ->add('name', TextField::class, NameFieldOption::make()->required())
//             ->add('status', SelectField::class, StatusFieldOption::make())
//             ->add('email', TextField::class)
//             ->add('affiliation', TextField::class)
//             ->add('research_interests', TextField::class)
//             ->add('room_no', TextField::class)
//             ->add('office_address', TextField::class)
//             ->add('contact_extension', TextField::class)
//             ->add('phone', TextField::class)
//             ->add('mobile', TextField::class)
//             // Main Category dropdown
//             ->add('main_category', SelectField::class, [
//                 'label' => 'Main Category',
//                 'choices' => $mainCategories,  // Correctly pass the categories as 'choices'
//                 'empty_value' => 'Select Main Category',  // Optional: empty option for better UX
//                 'selected' => old('main_category'),
//                 'attributes' => ['id' => 'main-category']
//             ])
//             // Sub Category dropdown (initially empty, will be populated on main category selection)
//             ->add('sub_category', SelectField::class, [
//                 'label' => 'Sub Category',
//                 'choices' => [],  // Initially empty
//                 'empty_value' => 'Select a Main Category first',
//                 'attributes' => ['id' => 'sub-category', 'help_text' => 'Select a Main Category first']
//             ]);
//     }
// }
