 <main class="main">

     <!-- Hero Section -->
     <section class="header-inside forgot-password-header no-inside-header section dark-background"></section>
     <!-- /Hero Section -->

     <section id="starter-section" class="contact section pb-0">

         <div class="container-fluid p-0">
             <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                 <div class="container d-lg-flex flex-wrap align-items-center">
                     <nav class="breadcrumbs">
                         <ol>
                             <li><a href="{{ route('public.index') }}">Home</a></li>
                             <li>Faculty</li>
                             <li>Faculty Login</li>
                         </ol>
                     </nav>
                     <div class="inside-heading">Faculty Login</div>
                 </div>
             </div>
             <div class="facilities-part facilities-part-left" data-aos="fade-up" data-aos-delay="200">
                 <div class="row">
                     <div class="col-lg-6 facilities-col">
                         <div class="facilities-col-ppart">
                             <form action="{{ route('faculty.submit') }}" method="post" class="php-email-form"
                                 data-aos="fade-up" data-aos-delay="100">
                                 @csrf

                                 <div class="row gy-4">
                                     <div class="col-md-12">
                                         <label class="form-label">Username</label>
                                         <input type="text" name="username" class="form-control"
                                             placeholder="Username" value="{{ old('username') }}" required="">
                                     </div>

                                     <div class="col-md-12">
                                         <label class="form-label">Password</label>
                                         <input type="password" name="password" class="form-control"
                                             placeholder="Password" required="">
                                     </div>

                                     <div class="col-md-12 mt-2">
                                         <div class="form-forgot-password"><a
                                                 href="{{ route('faculty.forgot-password') }}">Forgot
                                                 Password</a></div>
                                     </div>

                                     <!-- Error Messages (if any) -->
                                     @if ($errors->any())
                                         <div class="col-md-12 mt-3">
                                             <div class="alert alert-danger">
                                                 <ul>
                                                     @foreach ($errors->all() as $error)
                                                         <li>{{ $error }}</li>
                                                     @endforeach
                                                 </ul>
                                             </div>
                                         </div>
                                     @endif

                                     @if (session('status'))
                                         <div class="col-md-12 mt-3">
                                             <div class="alert alert-success">
                                                 <p>{{ session('status') }}</p>
                                             </div>
                                         </div>
                                     @endif

                                     @if (session('error'))
                                         <div class="col-md-12 mt-3">
                                             <div class="alert alert-danger">
                                                 <p>{{ session('error') }}</p>
                                             </div>
                                         </div>
                                     @endif

                                     <div class="col-md-12">
                                         <button type="submit">Submit</button>
                                     </div>
                                 </div>
                             </form>
                         </div>
                     </div>

                     <div class="col-lg-6 facilities-img-col">

                         <div class="facilities-img"><img class="img-fluid"
                                 src="{{ url('/themes/tifr/img/faculty-login-1.jpg') }}" alt="..."></div>

                     </div>
                 </div>
             </div>
         </div>

     </section>

 </main>
