<?php
    $breadcrumbs = Theme::breadcrumb()->getCrumbs();
    // echo '<pre>';
    // print_r($breadcrumbs);
    // die();

    // Remove the last breadcrumb, which is the current post
    array_pop($breadcrumbs);
?>
<div>

    <?php if($post->categories->first()->name == 'News & Events'): ?>
        <section class="header-inside news-header section dark-background"></section>
        <section id="starter-section" class="news-section section">

            <div class="container">
                <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                    <div class="container d-lg-flex flex-wrap align-items-center">
                        <nav class="breadcrumbs">
                            <ol>
                                

                                <?php $__currentLoopData = $breadcrumbs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i => $crumb): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li>
                                        <?php if($i != count($breadcrumbs) - 1): ?>
                                            <a href="<?php echo e($crumb['url']); ?>"><?php echo $crumb['label']; ?></a>
                                        <?php else: ?>
                                            <span class="active"><?php echo $crumb['label']; ?></span>
                                        <?php endif; ?>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ol>
                        </nav>
                        <div class="inside-heading"><?php echo e($post->categories->first()->name); ?></div>
                    </div>
                </div>
                <div class="news-part" data-aos="fade-up" data-aos-delay="200">
                    <div class="row">
                        <div class="col-lg-9 news-col">
                            <div class="news-content-part news-content-detail-part">
                                <div class="news-content-col">
                                    <div class="news-col-body">
                                        <div class="news-col-img"><img
                                                src="<?php echo e(RvMedia::getImageUrl($post->image, null, false, RvMedia::getDefaultImage())); ?>"
                                                alt=""></div>

                                        <div class="news-title"><?php echo e($post->name); ?></div>
                                        <div class="news-col-text"><?php echo BaseHelper::clean($post->content); ?></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 calendar-sidebar-col">
                            <div class="calendar-search-part">
                                

                                <div class="search-container">
                                    <form action="<?php echo e(route('news.search')); ?>" method="GET">
                                        <input type="text" placeholder="Search..." name="search"
                                            value="<?php echo e(request('search')); ?>">
                                        <button type="submit"><i class="fa fa-search"></i></button>
                                    </form>
                                </div>
                            </div>
                            <div class="news-widgets-part">
                                <div class="news-widgets">
                                    <div class="news-widgets-ttl">Latest Events</div>
                                    <?php $__currentLoopData = get_recent_posts(4, 31); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="news-widgets-col">
                                            <a href="<?php echo e($post->url); ?>"><?php echo e($post->name); ?></a><br>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    <?php endif; ?>

    <?php if($post->categories->first()->name == 'Calendar'): ?>
        <section class="header-inside calendar-header section dark-background"></section>

        <section id="starter-section" class="calendar-section section">
            <div class="container">
                <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                    <div class="container d-lg-flex flex-wrap align-items-center">
                        <nav class="breadcrumbs">
                            <ol>
                                

                                <?php $__currentLoopData = $breadcrumbs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i => $crumb): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li>
                                        <?php if($i != count($breadcrumbs) - 1): ?>
                                            <a href="<?php echo e($crumb['url']); ?>"><?php echo $crumb['label']; ?></a>
                                        <?php else: ?>
                                            <span class="active"><?php echo $crumb['label']; ?></span>
                                        <?php endif; ?>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ol>
                        </nav>
                        <div class="inside-heading">Calendar</div>
                    </div>
                </div>
                <div class="calendar-part" data-aos="fade-up" data-aos-delay="200">
                    <div class="row">

                        <div class="col-lg-9 calendar-col">
                            <div class="calendar-content-part calendar-deatil-part">
                                <div class="calendar-content-col">
                                    <div class="calendar-col-head">
                                        <div class="calendar-col-ttl"><span
                                                class="calendar-ttl"><?php echo e($post->name); ?></span></div>

                                        <?php if($post->pdf_file): ?>
                                            <div class="calendar-download">
                                                <a target="_blank"
                                                    href="<?php echo e(asset('storage/pdf/' . $post->pdf_file)); ?>">
                                                    <img src="<?php echo e(url('/themes/tifr/img/pdf.svg')); ?>" alt="PDF Icon">
                                                    <span class="pdf-txt">Abstract</span>
                                                </a>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <div class="calendar-col-body">
                                        <div class="calendar-col-text calendar-col-detail-text">
                                            <?php echo BaseHelper::clean($post->content); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-3 calendar-sidebar-col">
                            <div class="news-widgets-part">
                                <div class="news-widgets mt-0">
                                    <div class="news-widgets-ttl">Latest Events</div>

                                    <?php $__currentLoopData = get_recent_posts(4, 32); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="news-widgets-col">
                                            <a href="<?php echo e($post->url); ?>"><?php echo e($post->name); ?></a><br>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    <?php endif; ?>
</div>
<br />

<?php /**PATH /opt/lampp/htdocs/laramag_7.4.5/platform/themes/tifr/views/post.blade.php ENDPATH**/ ?>