@if (!empty($sliders))
    <div id="carouselExampleIndicators" class="carousel slide carousel-fade" data-bs-ride="carousel">
        <div class="carousel-indicators">
        </div>

        <div class="carousel-inner">
            @foreach ($sliders as $index => $slider)
                <div class="carousel-item {{ $index == 0 ? 'active' : '' }}">
                    @if ($slider->link)
                        <a class="slider-item-overlay" href="{{ $slider->link }}">
                    @endif
                    <img src="{{ RvMedia::getImageUrl($slider->image) }}" alt="{{ $slider->title }}"
                        class="d-block w-100">
                    @if ($slider->link)
                        </a>
                    @endif
                    @if ($slider->title || $slider->description)
                        <div class="carousel-caption d-none d-md-block">
                            @if ($slider->title)
                                <h5>{{ $slider->title }}</h5>
                            @endif
                            @if ($slider->description)
                                <p>{{ $slider->description }}</p>
                            @endif
                        </div>
                    @endif
                </div>
            @endforeach
        </div>

        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleIndicators"
            data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleIndicators"
            data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Next</span>
        </button>
    </div>
@endif
