        <footer id="footer" class="footer dark-background">
            <div class="container footer-top" data-aos="fade-up" data-aos-delay="200">
                <div class="row gy-4">
                    <div class="col-lg-5 col-md-5">
                        <div class="row">
                            {!! Menu::renderMenuLocation('footer-menu', [
                                'options' => [],
                                'theme' => true,
                                'view' => 'footer-bottom-menu-1',
                            ]) !!}

                            {!! Menu::renderMenuLocation('footer-menu-2', [
                                'options' => [],
                                'theme' => true,
                                'view' => 'footer-bottom-menu-2',
                            ]) !!}
                        </div>
                    </div>
                    <div class="col-lg-7 col-md-7">
                        <div class="row">
                            {!! Menu::renderMenuLocation('footer-menu-3', [
                                'options' => [],
                                'theme' => true,
                                'view' => 'footer-bottom-menu-3',
                            ]) !!}

                            {!! Menu::renderMenuLocation('footer-menu-4', [
                                'options' => [],
                                'theme' => true,
                                'view' => 'footer-bottom-menu-4',
                            ]) !!}

                            {!! Menu::renderMenuLocation('footer-menu-5', [
                                'options' => [],
                                'theme' => true,
                                'view' => 'footer-bottom-menu-5',
                            ]) !!}
                        </div>
                    </div>
                </div>
            </div>
            <!--<div class="container-fluid footer-note" data-aos="fade-up" data-aos-delay="200">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 footer-note-col">Email ids should be appended with tifr/[dot]/res/[dot]/in</div>
                    </div>
                </div>
            </div>-->
            <div class="container-fluid footer-bottom" data-aos="fade-up" data-aos-delay="200">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 footer-contact-col">
                            <div class="footer-contact">
                                <div class="footer-contact-part">
                                    <div class="footer-contact-icon"><img
                                            src="{{ url('/themes/tifr/img/location.svg') }}" alt="..">
                                    </div>
                                    <div class="footer-contact-text">Tata Institute of Fundamental Research <br>1 Homi
                                        Bhabha Road, Colaba, Mumbai 400 005</div>
                                </div>
                            </div>
                            <div class="footer-contact footer-contact-second">
                                <div class="footer-contact-part">
                                    <div class="footer-contact-icon"><img src="{{ url('/themes/tifr/img/email.svg') }}"
                                            alt="..">
                                    </div>
                                    <div class="footer-contact-text"><!--<a
                                            href="mailto:dcs@tifr/./res/./in">dcs@tifr/./res/./in</a>-->dcs<br>
                                            <span class="footer-note-col">Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in</span>
                                    </div>
                                </div>
                            </div>
                            <div class="footer-contact">
                                <div class="footer-contact-part">
                                    <div class="footer-contact-icon"><img src="{{ url('/themes/tifr/img/phone.svg') }}"
                                            alt="..">
                                    </div>
                                    <div class="footer-contact-text"><a href="tel:+91 22 2278 2308">+91 22 2278 2308</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="container-fluid copyright text-center">
                <div class="container">
                    @if (request()->routeIs('public.index') || request()->has('q'))
                        <p>&copy; Copyright 2024 TIFR Department of Chemical Sciences. All rights reserved &nbsp;|&nbsp;
                            <a class="credits-link" href="http://www.imageonline.co.in/" target="_blank">Web Design</a>
                            by
                            Image Online Pvt. Ltd.
                        </p>
                    @else
                        <p>&copy; Copyright 2024 TIFR Department of Chemical Sciences. All rights reserved.</p>
                    @endif
                </div>
            </div>

        </footer>

        <a href="#" id="scroll-top" class="scroll-top d-flex align-items-center justify-content-center"><i
                class="bi bi-arrow-up-short"></i></a>

        <script>
            window.addEventListener('scroll', function() {
                const scrollPosition = window.scrollY + window.innerHeight;
                const pageHeight = document.documentElement.scrollHeight;

                // Check if the user is near the bottom, allowing for some margin of error
                const margin = 50; // Increase margin to avoid precision issues

                if (scrollPosition >= pageHeight - margin) {
                    document.getElementById('scroll-top').classList.add('btm-scroll');
                } else {
                    document.getElementById('scroll-top').classList.remove('btm-scroll');
                }
            });
        </script>

        {{-- <p>{!! Theme::getSiteCopyright() !!}</p> --}}

        {!! Theme::footer() !!}
        </body>

        </html>
