<section id="starter-section" class="staff-section section pt-0">
    <div class="container">
        <div class="news-part" data-aos="fade-up" data-aos-delay="200">
            <div class="row">
                <div class="col-lg-12">
                    <div class="staf-content-part">
                        <div class="courses-tab" data-aos="fade-up" data-aos-delay="200">
                            <div id="horizontalTab">
                                <ul class="resp-tabs-list">
                                    <li>Scientific & Technical Staff</li>
                                    <li>Administrative Staff</li>
                                </ul>
                                <div class="resp-tabs-container">
                                    <!-- Scientific & Technical Staff Tab -->
                                    <div class="tab-staff">
                                        <div class="staff-part">
                                            @foreach ($results as $staff)
                                            @if ($staff->sub_category_name == 'Scientific & Technical Staff')
                                            <div class="staff-col">
                                                <div class="staff-ttl">{{ $staff->full_name }}
                                                    @if (!empty($staff->designation))
                                                    ({{ $staff->designation }})
                                                    @endif
                                                </div>
                                                <div class="staff-body">
                                                    <div class="staff-img">
                                                        <img src="{{ asset('storage/tifr_team_member_profile_pictures/' . $staff->profile_picture) }}"
                                                            alt="{{ $staff->full_name }}">
                                                    </div>
                                                    <div class="staff-data">
                                                        <!-- Research Interests Section -->
                                                        @if (!empty($staff->research_interests))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="{{ asset('themes/tifr/img/research.svg') }}"
                                                                    alt="Research Interests"></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Research
                                                                    Interests</div>
                                                                <div class="staff-data-info">
                                                                    {{ $staff->research_interests }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Office Section -->
                                                        @if (!empty($staff->office_address))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="{{ asset('themes/tifr/img/office-2.svg') }}"
                                                                    alt="Office"></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Office</div>
                                                                <div class="staff-data-info">
                                                                    {{ $staff->office_address }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Email Section -->
                                                        @if (!empty($staff->email))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="{{ asset('themes/tifr/img/email-4.svg') }}"
                                                                    alt="Email"></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Email</div>
                                                                <div class="staff-data-info">
                                                                    {{ strtok($staff->email, '@') }}<br><span>(Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)</span>

                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif
                                                        <div class="staff-data-col-last">
                                                            <!-- Phone Section -->
                                                            @if (!empty($staff->phone))
                                                            <div class="staff-data-col">
                                                                <div class="staff-data-icon"><img
                                                                        src="{{ asset('themes/tifr/img/phone-2.svg') }}"
                                                                        alt="Phone"></div>
                                                                <div class="staff-data-text">
                                                                    <div class="staff-data-ttl">Phone</div>
                                                                    <div class="staff-data-info"><a
                                                                            href="tel:{{ $staff->phone }}">{{ $staff->phone }}</a>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @endif

                                                            <!-- Fax Section -->
                                                            @if (!empty($staff->fax))
                                                            <div class="staff-data-col">
                                                                <div class="staff-data-icon"><img
                                                                        src="{{ asset('themes/tifr/img/fax.svg') }}"
                                                                        alt="Fax"></div>
                                                                <div class="staff-data-text">
                                                                    <div class="staff-data-ttl">Fax</div>
                                                                    <div class="staff-data-info">
                                                                        {{ $staff->fax }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            @endforeach
                                        </div>
                                    </div>

                                    <!-- Administrative Staff Tab -->
                                    <div class="tab-staff">
                                        <div class="staff-part">
                                            @foreach ($results as $staff)
                                            @if ($staff->sub_category_name == 'Administrative Staff')
                                            <div class="staff-col">
                                                <div class="staff-ttl">
                                                    {{ $staff->full_name }}
                                                    @if (!empty($staff->designation))
                                                    ({{ $staff->designation }})
                                                    @endif
                                                </div>
                                                <div class="staff-body">
                                                    <div class="staff-img">
                                                        <img src="{{ asset('storage/tifr_team_member_profile_pictures/' . $staff->profile_picture) }}"
                                                            alt="{{ $staff->full_name }}">
                                                    </div>
                                                    <div class="staff-data">
                                                        <!-- Research Interests Section -->
                                                        @if (!empty($staff->research_interests))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon">
                                                                <img src="{{ asset('themes/tifr/img/research.svg') }}"
                                                                    alt="Research">
                                                            </div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Research
                                                                    Interests</div>
                                                                <div class="staff-data-info">
                                                                    {{ $staff->research_interests }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Office Section -->
                                                        @if (!empty($staff->office))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon">
                                                                <img src="{{ asset('themes/tifr/img/office-2.svg') }}"
                                                                    alt="Office">
                                                            </div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Office</div>
                                                                <div class="staff-data-info">
                                                                    {{ $staff->office }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Email Section -->
                                                        @if (!empty($staff->email))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon">
                                                                <img src="{{ asset('themes/tifr/img/email-4.svg') }}"
                                                                    alt="Email">
                                                            </div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Email</div>
                                                                <div class="staff-data-info">
                                                                    <span>(Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Phone Section -->
                                                        @if (!empty($staff->phone))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon">
                                                                <img src="{{ asset('themes/tifr/img/telephone.svg') }}"
                                                                    alt="Phone">
                                                            </div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Phone</div>
                                                                <div class="staff-data-info">
                                                                    <a
                                                                        href="tel:{{ $staff->phone }}">{{ $staff->phone }}</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Mobile Section -->
                                                        @if (!empty($staff->mobile))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon">
                                                                <img src="{{ asset('themes/tifr/img/phone-2.svg') }}"
                                                                    alt="Mobile">
                                                            </div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Mobile</div>
                                                                <div class="staff-data-info">
                                                                    <a
                                                                        href="tel:{{ $staff->mobile }}">{{ $staff->mobile }}</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Fax Section -->
                                                        @if (!empty($staff->fax))
                                                        <div class="staff-data-col-last">
                                                            <div class="staff-data-col">
                                                                <div class="staff-data-icon">
                                                                    <img src="{{ asset('themes/tifr/img/fax.svg') }}"
                                                                        alt="Fax">
                                                                </div>
                                                                <div class="staff-data-text">
                                                                    <div class="staff-data-ttl">Fax</div>
                                                                    <div class="staff-data-info">
                                                                        {{ $staff->fax }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            @endforeach
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>