<section id="starter-section" class="visiting-faculty-section section pt-0">
    <div class="container">
        <div class="news-part" data-aos="fade-up" data-aos-delay="200">
            <div class="row">
                <div class="col-lg-12">
                    <div class="staf-content-part">
                        <div class="courses-tab" data-aos="fade-up" data-aos-delay="200">
                            <div class="tab-staff">
                                <div class="staff-part">
                                    @foreach ($results as $faculty)
                                    <div class="staff-col">
                                        <div class="staff-ttl">{{ $faculty->full_name }}</div>
                                        <div class="staff-body visiting-faculty-body">
                                            <div class="staff-img"><img
                                                    src="{{ asset('themes/tifr/img/visiting-faculty-1.jpg') }}"
                                                    alt="{{ $faculty->full_name }}"></div>
                                            <div class="staff-data">
                                                @if (!empty($faculty->affiliation))
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="{{ asset('themes/tifr/img/affiliation.svg') }}"
                                                            alt="Affiliation"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Affiliation</div>
                                                        <div class="staff-data-info">{{ $faculty->affiliation }}
                                                        </div>
                                                    </div>
                                                </div>
                                                @endif
                                                @if (!empty($faculty->research_interests))
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="{{ asset('themes/tifr/img/research.svg') }}"
                                                            alt="Research Interests"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Research Interests</div>
                                                        <div class="staff-data-info">
                                                            {{ $faculty->research_interests }}
                                                        </div>
                                                    </div>
                                                </div>
                                                @endif
                                                @if (!empty($faculty->email))
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="{{ asset('themes/tifr/img/email-4.svg') }}"
                                                            alt="Email"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Email</div>
                                                        <div class="staff-data-info">
                                                            {{ strtok($faculty->email, '@') }}
                                                            <span>(Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)</span>
                                                        </div>
                                                    </div>
                                                </div>
                                                @endif
                                                @if (!empty($faculty->phone))
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="{{ asset('themes/tifr/img/phone-2.svg') }}"
                                                            alt="Contact Details"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Contact Details</div>
                                                        <div class="staff-data-info">
                                                            @if ($faculty->phone)
                                                            <a
                                                                href="tel:{{ $faculty->phone }}">{{ $faculty->phone }}</a>
                                                            @else
                                                            -
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>