<?php if($page->image) { ?>
<section class="header-inside section dark-background <?php echo Request::path() . '-banner'; ?>"
    style="background:url(../storage/{{ $page->image }}) no-repeat center top; width:100%; background-size:cover; ">
</section>
<?php } ?>


<main class="main">
    <?php if(Request::path() !== '/') { ?>
    <section class="about-2 section pb-0" id="starter-section">
        <div class="page-title" data-aos="fade-up" data-aos-delay="100">
            <div class="container d-lg-flex flex-wrap align-items-center">
                <nav class="breadcrumbs">
                    <ol>
                        {!! Theme::breadcrumb()->render() !!}
                    </ol>
                </nav>
                <div class="inside-heading">{{ $page->name }}</div>
            </div>
        </div>
    </section>
    <?php } ?>

    {!! $page->content !!}
</main>

<script>
    window.addEventListener('scroll', function() {
        const scrollPosition = window.scrollY + window.innerHeight;
        const pageHeight = document.documentElement.scrollHeight;

        // Check if the user is near the bottom, allowing for some margin of error
        const margin = 50; // Increase margin to avoid precision issues

        if (scrollPosition >= pageHeight - margin) {
            document.getElementById('scroll-top').classList.add('btm-scroll');
        } else {
            document.getElementById('scroll-top').classList.remove('btm-scroll');
        }
    });
</script>
