 <style>
     .error {
         color: red;
         font-size: 0.9em;
     }
 </style>
 <main class="main">

     <section class="header-inside faculty-login-header section dark-background"></section>

     <section id="starter-section" class="contact section">

         <div class="container">
             <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                 <div class="container d-lg-flex flex-wrap align-items-center">
                     <nav class="breadcrumbs">
                         <ol>
                             <li><a href="<?php echo e(route('public.index')); ?>">Home</a></li>
                             <li class="current">Faculty</li>
                         </ol>
                     </nav>
                     <div class="inside-heading">Faculty Registration</div>
                 </div>
             </div>
             <div class="row gy-4" style="justify-content: center;">
                 <div class="col-lg-10 col-md-10">
                     <form action="<?php echo e(route('faculty-recruitment.store')); ?>" method="post"
                         enctype="multipart/form-data" class="php-email-form" data-aos="fade-up" data-aos-delay="100"
                         id="faculty_recruitment_form">
                         <?php echo csrf_field(); ?>
                         <div class="row gy-4">

                             <div class="col-md-4">
                                 <label class="form-label">Username <span class="required-star">*</span></label>
                                 <input type="text" name="username" class="form-control" placeholder="Username">
                                 <label id="username-error" class="error" for="username" style="display:none"></label>
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Password <span class="required-star">*</span></label>
                                 <input type="password" name="password" class="form-control" placeholder="Password">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Repeat Password <span class="required-star">*</span></label>
                                 <input type="password" name="password_confirmation" class="form-control"
                                     placeholder="Repeat Password">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Salutation <span class="required-star">*</span></label>
                                 

                                 <select name="salutation" id="salutation" class="form-control">
                                     <option value="">--- Select ---</option>
                                     <?php $__currentLoopData = $salutations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salutation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                         <option value="<?php echo e($salutation->id); ?>"><?php echo e($salutation->salutation_name); ?>

                                         </option>
                                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                 </select>
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">First Name <span class="required-star">*</span></label>
                                 <input type="text" name="first_name" class="form-control" placeholder="First Name">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Middle Name</label>
                                 <input type="text" name="middle_name" class="form-control"
                                     placeholder="Middle Name">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Last Name <span class="required-star">*</span></label>
                                 <input type="text" name="last_name" class="form-control" placeholder="Last Name">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Gender <span class="required-star">*</span></label>
                                 <select required name="gender" id="gender" size="1" class="form-control">
                                     <option label="" value="">--- Select ---</option>
                                     <option label="Male" value="Male">Male</option>
                                     <option label="Female" value="Female">Female</option>
                                     <option label="Other" value="Other">Other</option>
                                 </select>
                             </div>

                             <div class="col-md-4 ">
                                 <label class="form-label">Email <span class="required-star">*</span></label>
                                 <input type="email" class="form-control" name="email" placeholder="Email">
                                 <label id="email-error" class="error" for="email" style="display: none"></label>
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Phone <span class="required-star">*</span></label>
                                 <input type="text" class="form-control" name="phone" placeholder="Phone">
                                 <label id="phone-error" class="error" for="phone"
                                     style="display: none"></label>
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Country <span class="required-star">*</span></label>
                                 

                                 <select name="country" id="country" class="form-control">
                                     <option value="">--- Select ---</option>
                                     <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                         <option value="<?php echo e($country->id); ?>"><?php echo e($country->country_name); ?></option>
                                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                 </select>
                             </div>


                             <div class="col-md-4"></div>
                             <div class="col-md-4">
                                 <label class="form-label">Cover Letter</label>
                                 <input type="file" accept="application/pdf" name="cover_letter"
                                     class="form-control">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Curriculum Vitae</label>
                                 <input type="file" accept="application/pdf" name="cv" class="form-control">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">List of Referees</label>
                                 <input type="file" accept="application/pdf" name="referees_list"
                                     class="form-control">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Detailed Research Proposal</label>
                                 <input type="file" accept="application/pdf" name="research_proposal"
                                     class="form-control">
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Copies of Three Selected Publications</label>
                                 <input type="file" accept="application/pdf" name="publications_list"
                                     class="form-control">
                             </div>

                             <div class="col-md-12">
                                 <div class="or-part"><span class="or-span">OR</span></div>
                             </div>

                             <div class="col-md-4">
                                 <label class="form-label">Combined Application</label>
                                 <input type="file" accept="application/pdf" name="combined_application"
                                     class="form-control">
                             </div>
                             <div class="col-md-12">
                                 <label class="form-label">Affiliation <span class="required-star">*</span></label>
                                 <textarea class="form-control" name="affiliation" rows="4" placeholder="Affiliation"></textarea>
                             </div>

                             <div class="col-md-12">
                                 <label class="form-label">Mailing Address <span
                                         class="required-star">*</span></label>
                                 <textarea class="form-control" name="address" rows="4" placeholder="Mailing Address"></textarea>
                             </div>

                             <?php if(Captcha::mathCaptchaEnabled()): ?>
                                 <div style="margin-top: 10px; margin-bottom: 10px">
                                     <label class="form-label"
                                         for="math-group"><?php echo e(app('math-captcha')->label()); ?></label>
                                     <?php echo app('math-captcha')->input([
                                         'class' => 'form-control',
                                         'id' => 'math-group',
                                         'name' => 'captcha_answer',
                                         'placeholder' => app('math-captcha')->getMathLabelOnly() . ' = ?',
                                     ]); ?>


                                     <label id="math-group-error" class="error" for="math-group"
                                         style="display: none"></label>
                                 </div>
                             <?php endif; ?>

                             <div class="col-md-12">
                                 <button type="submit">Submit</button>
                             </div>
                         </div>
                     </form>
                 </div>
             </div>
         </div>

     </section>

 </main>

 <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.5/dist/jquery.validate.min.js"></script>
 <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

 <script>
     var $jq = jQuery.noConflict();
     $jq(document).ready(function() {
         $jq("#faculty_recruitment_form").validate({
             rules: {
                 username: {
                     required: true,
                     minlength: 3
                 },
                 password: {
                     required: true,
                     minlength: 6
                 },
                 password_confirmation: {
                     required: true,
                     minlength: 6,
                     equalTo: "[name='password']"
                 },
                 salutation: {
                     required: true
                 },
                 first_name: {
                     required: true,
                     minlength: 2
                 },
                 last_name: {
                     required: true,
                     minlength: 2
                 },
                 email: {
                     required: true,
                     email: true
                 },
                 phone: {
                     required: true,
                     minlength: 10,
                     maxlength: 15
                 },
                 country: {
                     required: true
                 },
                 affiliation: {
                     required: true
                 },
                 address: {
                     required: true
                 },
                 cover_letter: {
                     filesize: 10485760,
                     extension: "pdf"
                 },
                 cv: {
                     filesize: 10485760,
                     extension: "pdf"
                 },
                 referees_list: {
                     filesize: 10485760,
                     extension: "pdf"
                 },
                 research_proposal: {
                     filesize: 10485760,
                     extension: "pdf"
                 },
                 publications_list: {
                     filesize: 10485760,
                     extension: "pdf"
                 },
                 combined_application: {
                     filesize: 10485760,
                     extension: "pdf"
                 },
                 captcha_answer: {
                     required: true,
                 }
             },
             messages: {
                 username: {
                     required: "Please enter your username.",
                     minlength: "Username must be at least 3 characters long."
                 },
                 password: {
                     required: "Please provide a password.",
                     minlength: "Password must be at least 6 characters long."
                 },
                 password_confirmation: {
                     required: "Please confirm your password.",
                     equalTo: "Passwords do not match."
                 },
                 email: {
                     required: "Please enter a valid email address.",
                     email: "Please enter a valid email format."
                 },
                 phone: {
                     required: "Please enter your phone number.",
                     minlength: "Phone number must be at least 10 digits.",
                     maxlength: "Phone number cannot exceed 15 digits."
                 },
                 country: {
                     required: "Please select your country."
                 },
                 affiliation: {
                     required: "Please provide your affiliation."
                 },
                 address: {
                     required: "Please provide your mailing address."
                 },
                 cover_letter: {
                     extension: "Please upload a valid PDF file.",
                     filesize: "The file size should not exceed 10MB."
                 },
                 cv: {
                     extension: "Please upload a valid PDF file.",
                     filesize: "The file size should not exceed 10MB."
                 },
                 referees_list: {
                     extension: "Please upload a valid PDF file.",
                     filesize: "The file size should not exceed 10MB."
                 },
                 research_proposal: {
                     extension: "Please upload a valid PDF file.",
                     filesize: "The file size should not exceed 10MB."
                 },
                 publications_list: {
                     extension: "Please upload a valid PDF file.",
                     filesize: "The file size should not exceed 10MB."
                 },
                 combined_application: {
                     extension: "Please upload a valid PDF file.",
                     filesize: "The file size should not exceed 10MB."
                 },
                 captcha_answer: {
                     required: "Please solve this."
                 }
             },
             errorPlacement: function(error, element) {
                 if (element.attr("type") === "file") {
                     error.insertAfter(element);
                 } else {
                     error.insertAfter(element);
                 }
             },
             submitHandler: function(form) {
                 var submit_button = $jq("button[type='submit']");
                 submit_button.prop("disabled", true);

                 var formData = {
                     username: $jq("[name='username']").val(),
                     email: $jq("[name='email']").val(),
                     phone: $jq("[name='phone']").val(),
                     captcha_answer: $jq("[name='captcha_answer']").val(),
                     _token: "<?php echo e(csrf_token()); ?>"
                 };

                 $jq.ajax({
                     url: "<?php echo e(route('faculty-recruitment.validate-math-captcha-and-user-uniqueness')); ?>",
                     type: "POST",
                     data: formData,
                     success: function(response) {
                         if (response.status == 'success') {
                             form.submit();
                         } else {
                             if (response.errors) {
                                 if (response.errors.username) {
                                     //  alert(response.errors.username);
                                     $jq('#username-error').text(response.errors
                                         .username).show();
                                     $jq('[name="username"]').get(0).scrollIntoView({
                                         behavior: 'smooth',
                                         block: 'center'
                                     });
                                 } else if (response.errors.email) {
                                     //  alert(response.errors.email);
                                     $jq('#email-error').text(response.errors.email)
                                         .show();
                                     $jq('[name="email"]').get(0).scrollIntoView({
                                         behavior: 'smooth',
                                         block: 'center'
                                     });
                                 } else if (response.errors.phone) {
                                     //  alert(response.errors.phone);
                                     $jq('#phone-error').text(response.errors.phone)
                                         .show();
                                     $jq('[name="phone"]').get(0).scrollIntoView({
                                         behavior: 'smooth',
                                         block: 'center'
                                     });
                                 }

                                 submit_button.prop("disabled", false);
                             }

                             $jq('#math-group-error').text(response.message).show();
                             submit_button.prop("disabled", false);

                         }
                     },
                     error: function(xhr, status, error) {
                         alert("Error validating math answer.");
                         submit_button.prop("disabled", false);
                     }
                 });
                 return false;
             }
         });

         $jq.validator.addMethod("filesize", function(value, element, param) {
             var fileSize = element.files.length > 0 ? element.files[0].size : 0;
             return fileSize <= param;
         }, "File size must be under 10MB.");

     });
 </script>
<?php /**PATH /opt/lampp/htdocs/laramag_7.4.5/platform/themes/tifr/views/faculty-recruitment/faculty_registration_form.blade.php ENDPATH**/ ?>