<section id="starter-section" class="visiting-faculty-section section pt-0">
    <div class="container">
        <div class="news-part" data-aos="fade-up" data-aos-delay="200">
            <div class="row">
                <div class="col-lg-12">
                    <div class="staf-content-part">
                        <div class="courses-tab" data-aos="fade-up" data-aos-delay="200">
                            <div class="tab-staff">
                                <div class="staff-part">
                                    <?php $__currentLoopData = $results; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faculty): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="staff-col">
                                        <div class="staff-ttl"><?php echo e($faculty->full_name); ?></div>
                                        <div class="staff-body visiting-faculty-body">
                                            <div class="staff-img"><img
                                                    src="<?php echo e(asset('themes/tifr/img/visiting-faculty-1.jpg')); ?>"
                                                    alt="<?php echo e($faculty->full_name); ?>"></div>
                                            <div class="staff-data">
                                                <?php if(!empty($faculty->affiliation)): ?>
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="<?php echo e(asset('themes/tifr/img/affiliation.svg')); ?>"
                                                            alt="Affiliation"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Affiliation</div>
                                                        <div class="staff-data-info"><?php echo e($faculty->affiliation); ?>

                                                        </div>
                                                    </div>
                                                </div>
                                                <?php endif; ?>
                                                <?php if(!empty($faculty->research_interests)): ?>
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="<?php echo e(asset('themes/tifr/img/research.svg')); ?>"
                                                            alt="Research Interests"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Research Interests</div>
                                                        <div class="staff-data-info">
                                                            <?php echo e($faculty->research_interests); ?>

                                                        </div>
                                                    </div>
                                                </div>
                                                <?php endif; ?>
                                                <?php if(!empty($faculty->email)): ?>
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="<?php echo e(asset('themes/tifr/img/email-4.svg')); ?>"
                                                            alt="Email"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Email</div>
                                                        <div class="staff-data-info">
                                                            <?php echo e(strtok($faculty->email, '@')); ?>

                                                            <br>
                                                            (Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php endif; ?>
                                                <?php if(!empty($faculty->phone)): ?>
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="<?php echo e(asset('themes/tifr/img/phone-2.svg')); ?>"
                                                            alt="Contact Details"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Contact Details</div>
                                                        <div class="staff-data-info">
                                                            <?php if($faculty->phone): ?>
                                                            <a
                                                                href="tel:<?php echo e($faculty->phone); ?>"><?php echo e($faculty->phone); ?></a>
                                                            <?php else: ?>
                                                            -
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section><?php /**PATH /opt/lampp/htdocs/laramag_7.4.5/platform/themes/tifr/partials/short-codes/people/visiting-faculty.blade.php ENDPATH**/ ?>