<?php
    SeoHelper::setTitle(__('404 - Not found'));
    Theme::fireEventGlobalAssets();
?>

<?php echo Theme::partial('header'); ?>


<section class="header-inside header-404 section dark-background">
    </section>
    <section class="contact section" id="starter-section">
<div class="container error-page">
    <div class="error-code">
        404
    </div>

    <!--<div class="error-border"></div>-->
        <h4><?php echo e(__('This may have occurred because of several reasons')); ?>:</h4>
        <ul class="inside-bullet-main">
            <li><?php echo e(__('The page you requested does not exist.')); ?></li>
            <li><?php echo e(__('The link you clicked is no longer.')); ?></li>
            <li><?php echo e(__('The page may have moved to a new location.')); ?></li>
            <li><?php echo e(__('An error may have occurred.')); ?></li>
            <li><?php echo e(__('You are not authorized to view the requested resource.')); ?></li>
        </ul>
        <br>
        <p style="text-align: left;"><?php echo BaseHelper::clean(__('Please try again in a few minutes, or alternatively return to the homepage by <a href=":link">clicking here</a>.', ['link' => route('public.index')])); ?></p>
    </div>
     </section>
</div>
<?php echo Theme::partial('footer'); ?>



<?php /**PATH /opt/lampp/htdocs/laramag_7.4.5/platform/themes/tifr/views/404.blade.php ENDPATH**/ ?>