<ul class="<?php echo \Illuminate\Support\Arr::toCssClasses(['navbar-nav', $navbarClass ?? null]); ?>">

    
    


    <?php
        $baseUrl = url('/');
        $userRole = auth()->user()->roles()->first()->name;
        $isChairpersonOrCommittee = in_array($userRole, ['Chairperson', 'Committee Member']);
    ?>

    <?php if($isChairpersonOrCommittee): ?>
        <li class="nav-item">
            <a class="nav-link nav-priority-5" href="<?php echo e($baseUrl . '/admin/tifrfacultyrecruitmentapplications/'); ?>"
                id="cms-plugins-tifrfacultyrecruitmentapplication" title="Faculty Applications">
                <span class="nav-link-icon d-md-none d-lg-inline-block" title="Faculty Applications">
                    <svg class="icon svg-icon-ti-ti-box" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                        viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                        stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                        <path d="M12 3l8 4.5l0 9l-8 4.5l-8 -4.5l0 -9l8 -4.5"></path>
                        <path d="M12 12l8 -4.5"></path>
                        <path d="M12 12l0 9"></path>
                        <path d="M12 12l-8 -4.5"></path>
                    </svg>
                </span>
                <span class="nav-link-title text-truncate"> Faculty Applications </span>
            </a>
        </li>
    <?php else: ?>
        <?php $__currentLoopData = DashboardMenu::getAll(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php echo $__env->make('core/base::layouts.partials.navbar-nav-item', [
                'menu' => $menu,
                'autoClose' => $autoClose,
                'isNav' => true,
            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>


</ul>
<?php /**PATH /opt/lampp/htdocs/laramag_7.4.5/platform/core/base/resources/views/layouts/partials/navbar-nav.blade.php ENDPATH**/ ?>